Subject: [bug#58648] [PATCH 1/1] doc: contributing: Expand "Sending a Patch Series".

From: "(" <[email-masked]>
Date: Thu, 20 Oct 2022 09:59:21 +0100

Heya Simon,

On Thu Oct 20, 2022 at 9:56 AM BST, zimoun wrote:
> On mer., 19 oct. 2022 at 23:00, "\( via Guix-patches" via <[email-masked]> wrote:
> > +@example
> > +$ git format-patch -$N -o outgoing --cover-letter
> > +@end example
>
> Here…
>
> > +
> > +@quotation Note
> > +The @code{git send-email} command is provided by the @code{send-email}
> > +output of the @code{git} package, i.e. @code{git:send-email}.
> > +@end quotation
> > +
> > +This command makes patches out of the last @var{N} commits, and writes
> > +them to @code{.patch} files in @code{outgoing/}, along with an automatically
> > +generated cover letter.  We can then send the cover letter to the Guix
> > +mailing list.
>
> …or in these explanations, I would also suggest the option ’--base’; as
> recommended by item #1 in subsection «Submitting Patches».

Oh, cool, I didn't know about ``--base'' :) I'll add that in.

> > +At some point, the Debbugs mailer will reply to your cover letter mail
> > +with an acknowledgement, which contains the issue number of your patchset.
> > +You should now send the rest of the patches to this issue thread, using
> > +the @code{@var{ISSUE_NUMBER}@@debbugs.gnu.org} address.
>
> I agree that ISSUE_NUMBER is a better name than NNN or else.  Therefore,
> maybe it could be worth to also tweak it in the section Teams.

Okay.

> > +The use of the @code{etc/teams.scm} script to notify the appropriate team
> > +members (@pxref{Teams}) is recommended when submitting patches, to maximize
> > +the chances of your patch series being reviewed quickly.
>
> I would advertise about Teams early in this section.  Maybe in the first
> paragraph.

Alright!

    -- (